input {
    kb_layout = fr
    kb_variant =
    kb_model =
    kb_options =
    kb_rules =
    repeat_rate = 50
    repeat_delay = 300

    follow_mouse = 1

    sensitivity = 0 # -1.0 - 1.0, 0 means no modification.

    numlock_by_default = true

  touchpad {
    disable_while_typing = true
    natural_scroll = true 
    clickfinger_behavior = false
    middle_button_emulation = false
    tap-to-click = true
    drag_lock = false
  }
}

misc {
    middle_click_paste = false
    mouse_move_enables_dpms = true
    enable_anr_dialog = true    # Application not Responding (ANR)
    anr_missed_pings = 15       # ANR Threshold default 1 is too low
}

binds {
    workspace_back_and_forth = true
    allow_workspace_cycles = true
    pass_mouse_when_bound = false
}

cursor {
    sync_gsettings_theme = true
    no_hardware_cursors = 2 # change to 1 if want to disable
    enable_hyprcursor = true
    warp_on_change_workspace = 2
    no_warps = true 
}

gesture = 4, horizontal, scale: 2, workspace
gesture = 3, right, dispatcher, exec, wtype -M alt -k left -m alt
gesture = 3, left, dispatcher, exec, wtype -M alt -k right -m alt
gesture = 4, up, scale: 2, close
gesture = 4, down, scale: 2, dispatcher, exec, ~/.config/hypr/scripts/Wlogout.sh